%define name	globus-adq
%define release	3
%define version 0.9.1

#
# note - the source file is made to work with a specific gsoap version
# it probably will not work if the gsoap version is changed independently
#
%define gsoap_version 2.7.15
%define gsoap_dir /opt/gsoap-opensslv1

BuildRoot:	%{buildroot}
Name:		%{name}
Release:	%{release}
Version:	%{version}
Summary:	ESGF ADQ Library

Group:		System Environment/Libraries
License:	GPLv3
URL:		http://www.globus.org/
Source:		%{name}-%{version}.tgz
Patch1:		%{name}-nodebug.patch


BuildRequires: epel-release
BuildRequires: gcc gcc-c++ bison flex rpm-build openssl-devel libuuid-devel xmlsec1-devel postgresql-devel libmhash-devel pam-devel
BuildRequires: globus-gridftp-server-devel globus-gridmap-callout-error-devel
BuildRequires: gsoap-opensslv1-static == %gsoap_version

%description
The Earth System Grid Federation (ESGF) is an international data distribution portal. 

The %{name} package contains:
ADQ library

%package devel
Summary: Header for compiling globus-adq
Group: System Environment/Libraries
Requires: %name = %version-%release
Requires: pkgconfig

%description devel

Contains header file for globus-adq

%prep

%setup -q -n %{name}-%{version}
%patch1 -p1

%define gsoap_import_dir %gsoap_dir/share/gsoap/import

# change build.sh to add include dir
perl -p -i -e "s,(wsdl2h -c ),\1 -I %gsoap_import_dir ," build.sh
perl -p -i -e "s,(soapcpp2 -c ),\1 -I %gsoap_import_dir ," build.sh


%build

%define pkg_config_path %gsoap_dir/lib64/pkgconfig/
export PKG_CONFIG_PATH=%pkg_config_path

sh -e -x build.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
cp globus_adq_client $RPM_BUILD_ROOT%{_bindir}
cp -d libglobus_adq.so* $RPM_BUILD_ROOT%{_libdir}
cp libglobus_adq.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/globus_adq_client
%{_libdir}/libglobus_adq.so
%{_libdir}/libglobus_adq.so.0
%{_libdir}/libglobus_adq.so.0.0.0

%files devel
%{_includedir}/libglobus_adq.h

%changelog

* Sat Dec  7 2019 Alan Iwi <alan.iwi@stfc.ac.uk> - 0.9.1-3
- add dependencies in BuildRequires, including gsoap-opensslv1-static
- change PKG_CONFIG_PATH to point to that used by gsoap-opensslv1-static
- remove the epstopdf-2.9.5gw
- add devel package with the header file
- patch libglobus_adq.c to disable debug print statements
- change license to GPLv3 (compatible with both original ASL2 license
  and the GPLv2+ that the statically linking gSOAP will require)
